Issue for my driver


#1

Issue:
While I was trying to load a game, it says the error (see pic1). I know it can support OpenGL 3.3 but I don’t want to switch to Linux so I follow Force OpenGL3.3 on Intel HD Graphics 3000 (Windows), I even posted a comment there but still, there is an issue.
[EDIT] I even installed drivers a couple of times before posting this, but still, it doesn’t work.

System Information

  • Operating System: Windows 10 April Update
  • CPU: Intel i3-2330M
  • GPU: Intel HD Graphics 3000 (It can support OpenGL 3.3)
  • Citra Version (found in title bar): Citra Nighty #869, Citra Canary #730
  • Game: Any game I want to load
  • Screenshot of Issue (include the full Citra window including titlebar):


Diagnostic Log
citra_log.txt (3.6 KB)


#2

I found some issues in that log that need resolving:

  • You are running default Windows drivers for your GPU. You need to install the proper drivers for your graphics card from the manufacturer’s website.

#3

I found some issues in that log that need resolving:

  • You are running default Windows drivers for your GPU. You need to install the proper drivers for your graphics card from the manufacturer’s website.

#4

That guide is not something that is officially supported. On Windows it does not officially support OpenGL 3.3. Mesa does on Linux. That method is unofficial workaround so it’s not supported here.


#5

Again, the issue is my real driver that I am using (not the workarround), why even not using this method detect that it’s Microsoft Basic Display Driver?